GET api/Dashboard/GetDashboardCPWRTWChangeRequest?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfPendingCPWRTWChangeRequestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of PendingCPWRTWChangeRequestDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ClinicalPathwayId": 2,
"RequestedWorkStatusId": 3,
"RequestNote": "sample string 4",
"Status": 5,
"RequestedUserName": "sample string 6",
"CaseNo": 7,
"FirstName": "sample string 8",
"LastName": "sample string 9",
"CorporationCode": "sample string 10",
"CompanyName": "sample string 11",
"WLName": "sample string 12",
"EmployeeId": "sample string 13",
"CompanyEmployeeId": "sample string 14",
"ResponseUserName": "sample string 15",
"ResponseDateTime": "2026-08-04T14:30:34.5719634-07:00",
"ReasonForDelete": "sample string 16",
"DeclineNote": "sample string 17",
"Sequence": 18,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:34.5719634-07:00",
"DateUpdated": "2026-08-04T14:30:34.5719634-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ClinicalPathwayId": 2,
"RequestedWorkStatusId": 3,
"RequestNote": "sample string 4",
"Status": 5,
"RequestedUserName": "sample string 6",
"CaseNo": 7,
"FirstName": "sample string 8",
"LastName": "sample string 9",
"CorporationCode": "sample string 10",
"CompanyName": "sample string 11",
"WLName": "sample string 12",
"EmployeeId": "sample string 13",
"CompanyEmployeeId": "sample string 14",
"ResponseUserName": "sample string 15",
"ResponseDateTime": "2026-08-04T14:30:34.5719634-07:00",
"ReasonForDelete": "sample string 16",
"DeclineNote": "sample string 17",
"Sequence": 18,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:30:34.5719634-07:00",
"DateUpdated": "2026-08-04T14:30:34.5719634-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}